/**
 * Scripts within the customizer controls window.
**/
(function(api) {

    const nice_blog_section_lists = ['banner','categories','posts-grid'];
    nice_blog_section_lists.forEach(nice_blog_homepage_scroll);

    function nice_blog_homepage_scroll(item, index) {
        // Detect when the front page sections section is expanded (or closed) so we can adjust the preview accordingly.
        item = item.replace(/-/g, '_');
        wp.customize.section('nice_blog_' + item + '_section', function(section) {
            section.expanded.bind(function(isExpanding) {
                // Value of isExpanding will = true if you're entering the section, false if you're leaving it.
                wp.customize.previewer.send(item, { expanded: isExpanding });
            });
        });
    }
    
})(wp.customize);